﻿@{
    ViewBag.Title = "Welcome, " + ViewBag.value;
    ViewBag.currentPage = "home";
}

@if (ViewBag.role == "customer")
{
    <div class="card">
        <div class="card-header">
            <h2 class="card-title" style="font-weight: bold;">Outstanding Order</h2>
        </div>
        <!-- /.card-header -->
        <div class="card-body">
            <div class="row">
                <!-- ./col -->
                <div class="col-lg-3 col-6">
                    <!-- small card -->
                    <div class="small-box bg-info">
                        <div class="inner">
                            <p>Today Order</p>
                            <h3>@ViewBag.ordertoday</h3>
                            @*<h3 id="saldocuti"></h3>*@
                        </div>
                        <div class="icon">
                            <i class="fas fa-shopping-cart"></i>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-6">
                    <!-- small card -->
                    <div class="small-box bg-success">
                        <div class="inner">
                            <p>All Time Order</p>
                            <h3>@ViewBag.totalorder</h3>
                            @*<h3 id="saldocuti"></h3>*@
                        </div>
                        <div class="icon">
                            <i class="fas fa-shopping-cart"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.card-body -->
    </div>
    <div class="card">
        <div class="card-header">
            <h2 class="card-title" style="font-weight: bold;">Last Five Order</h2>
        </div>
        <!-- /.card-header -->
        <div class="card-body">
            <div class="row">
                <!-- ./col -->
                <div class="col-lg-3 col-6">
                    <!-- small card -->
                    <div class="small-box bg-info">
                        <div class="inner">
                            <p>Today Order</p>
                            <h3>@ViewBag.ordertoday</h3>
                            @*<h3 id="saldocuti"></h3>*@
                        </div>
                        <div class="icon">
                            <i class="fas fa-shopping-cart"></i>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-6">
                    <!-- small card -->
                    <div class="small-box bg-success">
                        <div class="inner">
                            <p>All Time Order</p>
                            <h3>@ViewBag.totalorder</h3>
                            @*<h3 id="saldocuti"></h3>*@
                        </div>
                        <div class="icon">
                            <i class="fas fa-shopping-cart"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.card-body -->
    </div>
}
else
{
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-lg-3 col-6">
                    <!-- small card -->
                    <div class="small-box bg-info">
                        <div class="inner">
                            <h3>@ViewBag.order</h3>
                            <p>New Orders</p>
                        </div>
                        <div class="icon">
                            <i class="fas fa-shopping-cart"></i>
                        </div>
                        <a href="#" class="small-box-footer">
                            More info <i class="fas fa-arrow-circle-right"></i>
                        </a>
                    </div>
                </div>
                <!-- ./col -->
                <div class="col-lg-3 col-6">
                    <!-- small card -->
                    <div class="small-box bg-warning text-light">
                        <div class="inner">
                            <h3>@ViewBag.users</h3>

                            <p>User Registrations</p>
                        </div>
                        <div class="icon">
                            <i class="fas fa-user-plus"></i>
                        </div>
                        <a href="@Url.Action("Index", "Account")" class="small-box-footer">
                            More info <i class="fas fa-arrow-circle-right"></i>
                        </a>
                    </div>
                </div>
                <!-- ./col -->
                <div class="col-lg-3 col-6">
                    <div class="small-box bg-danger">
                        <div class="inner">
                            <h3>@ViewBag.unverified</h3>

                            <p>Unverified User</p>
                        </div>
                        <div class="icon">
                            @*<i class="fas fa-user"></i>*@
                            <i class="fas fa-user-times"></i>
                        </div>
                        <a href="@Url.Action("Index", "Account")" class="small-box-footer">
                            More info <i class="fas fa-arrow-circle-right"></i>
                        </a>
                    </div>
                </div>
                <div class="col-lg-3 col-6">
                    <div class="small-box bg-success">
                        <div class="inner">
                            <h3>@ViewBag.verified</h3>

                            <p>Verified Users</p>
                        </div>
                        <div class="icon">
                            @*<i class="fas fa-user"></i>*@
                            <i class="fas fa-user-check"></i>
                        </div>
                        <a href="@Url.Action("Index", "Account")" class="small-box-footer">
                            More info <i class="fas fa-arrow-circle-right"></i>
                        </a>
                    </div>
                </div>
                <!-- ./col -->
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header d-flex justify-content-between">
                    <h3>Inactive Users</h3>
                </div>
                <div class="card-body">
                    <table id="user-table" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>Customer ID</th>
                                <th>Customer Name</th>
                                <th>Email Address</th>
                                <th>Activation</th>

                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
}

@section scripts {
    <script>
        var table;
        $(document).ready(function () {
           table = $("#user-table").DataTable({
                "ajax": {
                    "url": '@Url.Action("GetInactiveUser", "Home")',
                    "type": "GET",
                    "datatype" : "JSON"
               },
               "paging": false,
               "searching": false,
                "columns": [
                    { "data": "CustID" },
                    { "data": "Name" },
                    { "data": "Email" },
                    {
                        "searchable": false, "orderable": false, "sClass": "text-center", "width": "16%", "render": function (data, type, row) {
                            let btnActivated = "btn-info";
                            let btnText = "Activated";
                            if (row.IsActive === true) {
                                btnActivated = "btn-danger";
                                btnText = "Deactivated";
                            }
                            return '<button type="button" data="' + row.CustID + '" data-status="' + row.IsActive + '" class="btn btn-block btn-sm ' + btnActivated + '" onclick="activatedUser(this,event);" id="btn-isActive">' + btnText + '</button>';
                        }
                    },
                ]
            });
        });
        window.activatedUser = (input, evt) => {

            let status = $(input).attr('data-status');
            let data = $(input).attr('data');
            let title = "Deactivate User";
            let text = "This user will be deactivated, are you sure?"

            if (status == "false") {
                title = "Activate User"
                text = "This user will be activated, are you sure?"
            }

             Swal.fire({
                title: title,
                icon: "warning",
                text: text,
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                cancelButtonText: 'Cancel',
                confirmButtonText: 'Yes',
                showLoaderOnConfirm: true,
                preConfirm: (login) => {
                    return $.ajax({
                        url: '@Url.Content("~/Account/AktifkanUser")',
                        type: "post",
                        dataType: "json",
                        data: JSON.stringify({ "custId": data, "status" : status}),
                        contentType: 'application/JSON; charset=utf-8'
                    }).then(response => {
                        if (!response.ok) {
                            messageFailed(response.statusText)
                        }
                        return response;
                    }).then(result => {
                        if (result.metaData.code === 200) {
                            messageSuccess(result.metaData.message, null)
                            table.ajax.reload();
                        } else {
                            messageFailed(result.metaData.message)
                        }
                    }).catch(error => {
                        Swal.showValidationMessage(
                            `Request failed: Email can't be sent`
                        )
                    })
                },
                allowOutsideClick: () => !Swal.isLoading()
            });
        }
    </script>
}